COSMOSMASH(6)

NAME
cosmosmash - a space rock shooting video game

SYNOPSIS
cosmosmash

DESCRIPTION

Cosmosmash is a game where you control a base that must destroy rocks before they hit the ground, or you lose points. You must also prevent "spinners" from touching the ground, or your base will explode.

Press the Space key to start a standard game, or E to start a game with "extensions" (more on that below). Use the left and right arrow keys to move your base. Use the bottom arrow key to use hyperspace: it instantly puts your base at a random position. Use the P key to pause the game, and to resume it afterwards. Press the Escape key to quit the game.

Extensions include an occasional falling question mark which, when shot, boosts your base's abilities for a few seconds. Also, bonus lives are given less often.

OPTIONS

--help
    Display a help page and exit

--version
    Display version information and exit

--initial-score=N
    Starts the game at score N (where N must be an integer greater or equal to zero). This is useful to try the game at higher levels of difficulty.

--ms-per-frame=N
    N milliseconds per animation frame. Default is 58. Minimum is 1. Maximum is 1000. 50 means 20 frames per second.

--mirror-hyperspace
    Hyperspace puts the base at a position at the opposite of the center. For example, if the base is 100 pixels to the left of the center, it will end up 100 pixels to the right.

--no-sound
    Disables the sound effects.

--full-screen
    Runs the game in full screen mode.

--auto
    Tells the computer to control the base itself, for the enjoyment of the more passive user.

LICENSE
This program is free software; you may redistribute it under the terms of the GNU General Public License. This program has absolutely no warranty.

AUTHOR
Pierre Sarrazin

FILES
This program uses the flatzebra library, by the same author. It is available on the Web at the Cosmosmash Home Page. This library is itself based on the SDL graphics library (see http://www.libsdl.org).

See the Cosmosmash Home Page:
http://sarrazip.com/dev/cosmosmash.html

BUGS
There is no sound effect specifically for the spinners.
There is no cadence sound.
High scores are not remembered.

No attempt was made to emulate the exact behavior of the original game.